OpenMPUtilities.h File Reference

Header file for OpenMPUtilities (set some common macros) More...

`#include <omp.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "Settings.h"`

Go to the source code of this file.

## Macros

#define | FF_NUM_PROCESSORS (std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->FF_THREADS) ))
#define | OPEN_MP_NUM_PROCESSORS (std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->OMP_THREADS) ))

## Detailed Description

Header file for OpenMPUtilities (set some common macros)

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file OpenMPUtilities.h.

## Macro Definition Documentation

## FF_NUM_PROCESSORS

#define FF_NUM_PROCESSORS (std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->FF_THREADS) ))

Definition at line 42 of file OpenMPUtilities.h.

## OPEN_MP_NUM_PROCESSORS

#define OPEN_MP_NUM_PROCESSORS (std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->OMP_THREADS) ))

Definition at line 41 of file OpenMPUtilities.h.